import http from '@/utils/request'
// 获取导出任务列表
export function getExportMissionList (params) {
  return http.post('exportMission/getExportMissionList', params)
}
// 导出售票统计
export function exportOrderStatistics (params) {
  return http.post('exportMission/exportOrderStatistics', params)
}
// 导出免票统计
export function exportFreeTicketStatistics (params) {
  return http.post('/exportMission/exportFreeList', params)
}

// 导出检票统计
export function exportCheckStatistics (params) {
  return http.post('/exportMission/exportCheckStatistics', params)
}

// 导出线上销售日报
export function exportDailyOtaSale (params) {
  return http.post('/exportMission/exportDailyOtaSale', params)
}
// 导出线下销售日报
export function exportDailyOfflineSale (params) {
  return http.post('/exportMission/exportDailyOfflineSale', params)
}

// 导出检票统计按票数
export function exportCheckStatisticsInTicketCount (params) {
  return http.post('/exportMission/exportCheckStatisticsInTicketCount', params)
}
// 导出改签统计
export function exportModifyOrderStatistics (params) {
  return http.post('/exportMission/exportModifyOrderStatistics', params)
}
// 导出退票统计
export function exportCancelOrderStatistics (params) {
  return http.post('/exportMission/exportCancelList', params)
}
// 导出交班统计
export function exportSaleStatisticsByTicketSpot (params) {
  return http.post('/exportMission/exportSaleStatisticsByTicketSpot', params)
}

// 导出自定义售票统计
export function exportCustomizeOrderStatistics (params) {
  return http.post('/admin/statistics/orderSaleStatistics', { data: params })
}

// 按日期导出售票统计
export function exportOrderStatisticsByDate (params) {
  return http.post('/exportMission/exportOrderStatisticsByDate', params)
}

// 导出会员交易统计
export function exportMemberTradeStatistics (params) {
  return http.post('/exportMission/exportMemberTradeStatistics', params)
}

// 导出会员交易记录
export function exportMemberTradeList (params) {
  return http.post('/exportMission/exportMemberTradeList', params)
}

// 删除报表
export function deleteExportMission (params) {
  return http.post('/exportMission/deleteExportMission', params)
}

// 删除报表
export function getOrderStatisticsByDate (params) {
  return http.post('/order/getOrderStatisticsByDate', params)
}

// 获取导出类型列表
export function getExportTypeList () {
  return http.post('/exportMission/getExportTypeList')
}

// 导出售票累计统计
export function exportOrderGrandTotalStatistics () {
  return http.post('/exportMission/exportOrderGrandTotalStatistics')
}

// 按团散销售统计（图表）
export function getGroupIndividual (params) {
  return http.post('/orderStatistics/getGroupIndividual', params)
}

// 按渠道销售统计（图表）
export function getSaleChannel (params) {
  return http.post('/orderStatistics/getSaleChannel', params)
}

// 按门票会员销售额占比销售统计（图表）
export function getTicketMemberMoneyPercent (params) {
  return http.post('/orderStatistics/getTicketMemberMoneyPercent', params)
}

// 销售同比分析（图表）
export function getTicketSaleYearOnYear (params) {
  return http.post('/orderStatistics/getTicketSaleYearOnYear', params)
}

// 场次售票统计
export function getTicketSaleByBatch (params) {
  return http.post('/orderStatistics/getTicketSaleByBatch', params)
}

// 导出取票统计
export function exportTicketPrintStatistics (params) {
  return http.post('/exportMission/exportTicketPrintStatistics', params)
}

// 导出场次售票统计
export function exportTicketSaleByBatch (params) {
  return http.post('/exportMission/exportTicketSaleByBatch', params)
}

// 线上销售日报(czg private)
export function getDailyOtaSale (params) {
  return http.post('/chengzhanguan/getDailyOtaSale', params)
}

// 线下销售日报(czg private)
export function getDailyOfflineSale (params) {
  return http.post('/chengzhanguan/getDailyOfflineSale', params)
}

// 现金销售日报(czg private)
export function getDailyOfflineCashSale (params) {
  return http.post('/chengzhanguan/getDailyOfflineCashSale', params)
}

// 日销售报表(czg private)
export function getDailySale (params) {
  return http.post('/chengzhanguan/getDailySale', params)
}

// 报表导出 4个tab页共用(czg private)
export function exportChengzhanguanReport (params) {
  return http.post('/chengzhanguan/exportChengzhanguanReport', params)
}

// 年龄报表查询(czg private)
export function getAgeWithIdType (params) {
  return http.post('/chengzhanguan/getAgeWithIdType', params)
}

// 年龄报表导出(czg private)
export function exportAgeWithIdType (params) {
  return http.post('/chengzhanguan/exportAgeWithIdType', params)
}

// 日订单统计报表
export function getDailyOrderStatistics (params) {
  return http.post('/orderStatistics/getDailyOrderStatistics', params)
}

// 日订单统计报表导出
export function exportDailyOrderStatistics (params) {
  return http.post('/exportMission/exportDailyOrderStatistics', params)
}
